Index: squid/src/MemPool.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/MemPool.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/MemPool.c	6 Jan 2001 12:40:11 -0000	1.1.1.3.4.1.2.1
+++ squid/src/MemPool.c	27 Aug 2001 21:48:19 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: MemPool.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: MemPool.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:19 tolsty Exp $
  *
  * DEBUG: section 63    Low Level Memory Pool Management
  * AUTHOR: Alex Rousskov
@@ -50,8 +49,7 @@
 
 /* memory pool accounting */
 static MemPoolMeter TheMeter;
-static gb_t mem_traffic_volume =
-{0, 0};
+static gb_t mem_traffic_volume = { 0, 0 };
 static Stack Pools;
 
 /* local prototypes */
@@ -93,7 +91,8 @@
 	new_pool_limit = mem_unlimited_size;
     /* shrink memory pools if needed */
     if (TheMeter.idle.level > new_pool_limit) {
-	debug(63, 1) ("Shrinking idle mem pools to %.2f MB\n", toMB(new_pool_limit));
+	debug(63, 1) ("Shrinking idle mem pools to %.2f MB\n",
+	    toMB(new_pool_limit));
 	memShrink(new_pool_limit);
     }
     assert(TheMeter.idle.level <= new_pool_limit);
@@ -142,14 +141,18 @@
     /* first phase: cut proportionally to the pool idle size */
     for (i = 0; i < Pools.count && TheMeter.idle.level > new_limit; ++i) {
 	MemPool *pool = Pools.items[i];
-	const ssize_t target_pool_size = (size_t) ((double) pool->meter.idle.level * new_limit) / start_limit;
+	const ssize_t target_pool_size =
+	    (size_t) ((double) pool->meter.idle.level * new_limit) /
+	    start_limit;
 	memPoolShrink(pool, target_pool_size);
     }
-    debug(63, 1) ("memShrink: 1st phase done with %d KB left\n", toKB(TheMeter.idle.level));
+    debug(63, 1) ("memShrink: 1st phase done with %d KB left\n",
+	toKB(TheMeter.idle.level));
     /* second phase: cut to 0 */
     for (i = 0; i < Pools.count && TheMeter.idle.level > new_limit; ++i)
 	memPoolShrink(Pools.items[i], 0);
-    debug(63, 1) ("memShrink: 2nd phase done with %d KB left\n", toKB(TheMeter.idle.level));
+    debug(63, 1) ("memShrink: 2nd phase done with %d KB left\n",
+	toKB(TheMeter.idle.level));
     assert(TheMeter.idle.level <= new_limit);	/* paranoid */
 }
 
@@ -160,27 +163,28 @@
     int alloc_count, int inuse_count, int idle_count, StoreEntry * e)
 {
     assert(pm);
-    storeAppendPrintf(e, "%d\t %d\t %d\t %.2f\t %d\t %d\t %d\t %d\t %d\t %d\t %d\t %d\t %d\t %d\t %d\n",
-    /* alloc */
+    storeAppendPrintf(e,
+	"%d\t %d\t %d\t %.2f\t %d\t %d\t %d\t %d\t %d\t %d\t %d\t %d\t %d\t %d\t %d\n",
+	/* alloc */
 	alloc_count,
 	toKB(obj_size * pm->alloc.level),
 	toKB(obj_size * pm->alloc.hwater_level),
 	(double) ((squid_curtime - pm->alloc.hwater_stamp) / 3600.),
 	xpercentInt(obj_size * pm->alloc.level, TheMeter.alloc.level),
-    /* in use */
+	/* in use */
 	inuse_count,
 	toKB(obj_size * pm->inuse.level),
 	toKB(obj_size * pm->inuse.hwater_level),
 	xpercentInt(pm->inuse.level, pm->alloc.level),
-    /* idle */
+	/* idle */
 	idle_count,
-	toKB(obj_size * pm->idle.level),
-	toKB(obj_size * pm->idle.hwater_level),
-    /* (int)rint(xpercent(pm->idle.level, pm->alloc.level)), */
-    /* saved */
+	toKB(obj_size * pm->idle.level), toKB(obj_size * pm->idle.hwater_level),
+	/* (int)rint(xpercent(pm->idle.level, pm->alloc.level)), */
+	/* saved */
 	xpercentInt(pm->saved.count, mem_traffic_volume.count),
-	xpercentInt(obj_size * gb_to_double(&pm->saved), gb_to_double(&mem_traffic_volume)),
-	xpercentInt(pm->saved.count, pm->total.count));
+	xpercentInt(obj_size * gb_to_double(&pm->saved),
+	    gb_to_double(&mem_traffic_volume)), xpercentInt(pm->saved.count,
+	    pm->total.count));
 }
 
 /* MemMeter */
@@ -294,8 +298,7 @@
     return pool->meter.inuse.level;
 }
 
-size_t
-memPoolInUseSize(const MemPool * pool)
+size_t memPoolInUseSize(const MemPool * pool)
 {
     assert(pool);
     return pool->obj_size * pool->meter.inuse.level;
@@ -311,8 +314,7 @@
 	toKB(memPoolInUseSize(pool)));
 }
 
-size_t
-memTotalAllocated(void)
+size_t memTotalAllocated(void)
 {
     return TheMeter.alloc.level;
 }
@@ -321,11 +323,10 @@
 memPoolReport(const MemPool * pool, StoreEntry * e)
 {
     assert(pool);
-    storeAppendPrintf(e, "%-20s\t %4d\t ",
-	pool->label, pool->obj_size);
+    storeAppendPrintf(e, "%-20s\t %4d\t ", pool->label, pool->obj_size);
     memPoolMeterReport(&pool->meter, pool->obj_size,
-	pool->meter.alloc.level, pool->meter.inuse.level, pool->meter.idle.level,
-	e);
+	pool->meter.alloc.level, pool->meter.inuse.level,
+	pool->meter.idle.level, e);
 }
 
 void
@@ -345,9 +346,7 @@
 	"(#)\t (KB)\t high (KB)\t high (hrs)\t impact (%%total)\t"
 	"(#)\t (KB)\t high (KB)\t portion (%%alloc)\t"
 	"(#)\t (KB)\t high (KB)\t"
-	"(%%number)\t (%%volume)\t"
-	"(%%number)"
-	"\n");
+	"(%%number)\t (%%volume)\t" "(%%number)" "\n");
     /* main table */
     for (i = 0; i < Pools.count; i++) {
 	const MemPool *pool = Pools.items[i];
@@ -358,14 +357,14 @@
 	    idle_count += pool->meter.idle.level;
 	}
 	overhd_size += sizeof(MemPool) + sizeof(MemPool *) +
-	    strlen(pool->label) + 1 +
-	    pool->pstack.capacity * sizeof(void *);
+	    strlen(pool->label) + 1 + pool->pstack.capacity * sizeof(void *);
     }
     overhd_size += sizeof(Pools) + Pools.capacity * sizeof(MemPool *);
     /* totals */
     storeAppendPrintf(e, "%-20s\t %-4s\t ", "Total", "-");
     memPoolMeterReport(&TheMeter, 1, alloc_count, inuse_count, idle_count, e);
-    storeAppendPrintf(e, "Cumulative allocated volume: %s\n", gb_to_str(&mem_traffic_volume));
+    storeAppendPrintf(e, "Cumulative allocated volume: %s\n",
+	gb_to_str(&mem_traffic_volume));
     /* overhead */
     storeAppendPrintf(e, "Current overhead: %d bytes (%.3f%%)\n",
 	overhd_size, xpercent(overhd_size, TheMeter.inuse.level));
Index: squid/src/Packer.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Packer.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/src/Packer.c	6 Jan 2001 12:40:11 -0000	1.1.1.2.4.1.2.1
+++ squid/src/Packer.c	27 Aug 2001 21:48:19 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: Packer.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: Packer.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:19 tolsty Exp $
  *
  * DEBUG: section 60    Packer: A uniform interface to store-like modules
  * AUTHOR: Alex Rousskov
@@ -92,12 +91,16 @@
  */
 
 /* append()'s */
-static void (*const store_append) (StoreEntry *, const char *, int) = &storeAppend;
-static void (*const memBuf_append) (MemBuf *, const char *, mb_size_t) = &memBufAppend;
+static void (*const store_append) (StoreEntry *, const char *, int) =
+    &storeAppend;
+static void (*const memBuf_append) (MemBuf *, const char *, mb_size_t) =
+    &memBufAppend;
 
 /* vprintf()'s */
-static void (*const store_vprintf) (StoreEntry *, const char *, va_list ap) = &storeAppendVPrintf;
-static void (*const memBuf_vprintf) (MemBuf *, const char *, va_list ap) = &memBufVPrintf;
+static void (*const store_vprintf) (StoreEntry *, const char *, va_list ap) =
+    &storeAppendVPrintf;
+static void (*const memBuf_vprintf) (MemBuf *, const char *, va_list ap) =
+    &memBufVPrintf;
 
 
 /* init/clean */
@@ -143,7 +146,7 @@
 
 #if STDC_HEADERS
 void
-packerPrintf(Packer * p, const char *fmt,...)
+packerPrintf(Packer * p, const char *fmt, ...)
 {
     va_list args;
     va_start(args, fmt);
Index: squid/src/StatHist.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/StatHist.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/src/StatHist.c	6 Jan 2001 12:40:11 -0000	1.1.1.2.4.1.2.1
+++ squid/src/StatHist.c	27 Aug 2001 21:48:19 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: StatHist.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: StatHist.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:19 tolsty Exp $
  *
  * DEBUG: section 62    Generic Histogram
  * AUTHOR: Duane Wessels
@@ -48,7 +47,8 @@
 #include "squid.h"
 
 /* Local functions */
-static void statHistInit(StatHist * H, int capacity, hbase_f * val_in, hbase_f * val_out, double min, double max);
+static void statHistInit(StatHist * H, int capacity, hbase_f * val_in,
+    hbase_f * val_out, double min, double max);
 static int statHistBin(const StatHist * H, double v);
 static double statHistVal(const StatHist * H, int bin);
 static StatHistBinDumper statHistBinDumper;
@@ -64,7 +64,8 @@
 
 /* low level init, higher level functions has less params */
 static void
-statHistInit(StatHist * H, int capacity, hbase_f * val_in, hbase_f * val_out, double min, double max)
+statHistInit(StatHist * H, int capacity, hbase_f * val_in, hbase_f * val_out,
+    double min, double max)
 {
     assert(H);
     assert(capacity > 0);
@@ -122,9 +123,7 @@
     assert(Dest->val_out == Orig->val_out);
     /* actual copy */
     debug(62, 3) ("statHistCopy: copying %d bytes to %p from %p\n",
-	Dest->capacity * sizeof(*Dest->bins),
-	Dest->bins,
-	Orig->bins);
+	Dest->capacity * sizeof(*Dest->bins), Dest->bins, Orig->bins);
     xmemcpy(Dest->bins, Orig->bins, Dest->capacity * sizeof(*Dest->bins));
 }
 
@@ -220,7 +219,8 @@
 }
 
 static void
-statHistBinDumper(StoreEntry * sentry, int idx, double val, double size, int count)
+statHistBinDumper(StoreEntry * sentry, int idx, double val, double size,
+    int count)
 {
     if (count)
 	storeAppendPrintf(sentry, "\t%3d/%f\t%d\t%f\n",
@@ -246,7 +246,7 @@
 #if !defined(_SQUID_HPUX_) || !defined(__GNUC__)
 static
 #endif
-double
+    double
 Log(double x)
 {
     assert((x + 1.0) >= 0.0);
@@ -256,7 +256,7 @@
 #if !defined(_SQUID_HPUX_) || !defined(__GNUC__)
 static
 #endif
-double
+    double
 Exp(double x)
 {
     return exp(x) - 1.0;
@@ -273,7 +273,7 @@
 #if !defined(_SQUID_HPUX_) || !defined(__GNUC__)
 static
 #endif
-double
+    double
 Null(double x)
 {
     return x;
@@ -282,15 +282,16 @@
 void
 statHistEnumInit(StatHist * H, int last_enum)
 {
-    statHistInit(H, last_enum + 3, Null, Null, (double) -1, (double) (last_enum + 1 + 1));
+    statHistInit(H, last_enum + 3, Null, Null, (double) -1,
+	(double) (last_enum + 1 + 1));
 }
 
 void
-statHistEnumDumper(StoreEntry * sentry, int idx, double val, double size, int count)
+statHistEnumDumper(StoreEntry * sentry, int idx, double val, double size,
+    int count)
 {
     if (count)
-	storeAppendPrintf(sentry, "%2d\t %5d\t %5d\n",
-	    idx, (int) val, count);
+	storeAppendPrintf(sentry, "%2d\t %5d\t %5d\n", idx, (int) val, count);
 }
 
 void
@@ -300,7 +301,8 @@
 }
 
 void
-statHistIntDumper(StoreEntry * sentry, int idx, double val, double size, int count)
+statHistIntDumper(StoreEntry * sentry, int idx, double val, double size,
+    int count)
 {
     if (count)
 	storeAppendPrintf(sentry, "%9d\t%9d\n", (int) val, count);
Index: squid/src/String.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/String.c,v
retrieving revision 1.1.1.1.4.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.1
diff -u -r1.1.1.1.4.1.2.1 -r1.1.1.1.4.1.2.1.2.1
--- squid/src/String.c	6 Jan 2001 12:40:11 -0000	1.1.1.1.4.1.2.1
+++ squid/src/String.c	27 Aug 2001 21:48:19 -0000	1.1.1.1.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: String.c,v 1.1.1.1.4.1.2.1 2001/01/06 12:40:11 hno Exp $
+ * $Id: String.c,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:19 tolsty Exp $
  *
  * DEBUG: section 67    String
  * AUTHOR: Duane Wessels
@@ -63,8 +62,7 @@
     s->buf[len] = '\0';
 }
 
-String
-stringDup(const String * s)
+String stringDup(const String * s)
 {
     String dup;
     assert(s);
Index: squid/src/access_log.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/access_log.c,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.3.2.1
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.3.2.1
--- squid/src/access_log.c	15 Jul 2001 16:58:38 -0000	1.1.1.3.4.1.2.3
+++ squid/src/access_log.c	27 Aug 2001 21:48:19 -0000	1.1.1.3.4.1.2.3.2.1
@@ -1,7 +1,5 @@
-
-
 /*
- * $Id: access_log.c,v 1.1.1.3.4.1.2.3 2001/07/15 16:58:38 serassio Exp $
+ * $Id: access_log.c,v 1.1.1.3.4.1.2.3.2.1 2001/08/27 21:48:19 tolsty Exp $
  *
  * DEBUG: section 46    Access Log
  * AUTHOR: Duane Wessels
@@ -48,8 +46,7 @@
 static void mcast_encode(unsigned int *, size_t, const unsigned int *);
 #endif
 
-const char *log_tags[] =
-{
+const char *log_tags[] = {
     "NONE",
     "TCP_HIT",
     "TCP_MISS",
@@ -76,11 +73,13 @@
 };
 
 #if FORW_VIA_DB
-typedef struct {
+typedef struct
+{
     char *key;
     void *next;
     int n;
-} fvdb_entry;
+}
+fvdb_entry;
 static hash_table *via_table = NULL;
 static hash_table *forw_table = NULL;
 static void fvdbInit(void);
@@ -98,22 +97,21 @@
 #define LOG_BUF_SZ (MAX_URL<<2)
 
 static const char c2x[] =
-"000102030405060708090a0b0c0d0e0f"
-"101112131415161718191a1b1c1d1e1f"
-"202122232425262728292a2b2c2d2e2f"
-"303132333435363738393a3b3c3d3e3f"
-"404142434445464748494a4b4c4d4e4f"
-"505152535455565758595a5b5c5d5e5f"
-"606162636465666768696a6b6c6d6e6f"
-"707172737475767778797a7b7c7d7e7f"
-"808182838485868788898a8b8c8d8e8f"
-"909192939495969798999a9b9c9d9e9f"
-"a0a1a2a3a4a5a6a7a8a9aaabacadaeaf"
-"b0b1b2b3b4b5b6b7b8b9babbbcbdbebf"
-"c0c1c2c3c4c5c6c7c8c9cacbcccdcecf"
-"d0d1d2d3d4d5d6d7d8d9dadbdcdddedf"
-"e0e1e2e3e4e5e6e7e8e9eaebecedeeef"
-"f0f1f2f3f4f5f6f7f8f9fafbfcfdfeff";
+    "000102030405060708090a0b0c0d0e0f"
+    "101112131415161718191a1b1c1d1e1f"
+    "202122232425262728292a2b2c2d2e2f"
+    "303132333435363738393a3b3c3d3e3f"
+    "404142434445464748494a4b4c4d4e4f"
+    "505152535455565758595a5b5c5d5e5f"
+    "606162636465666768696a6b6c6d6e6f"
+    "707172737475767778797a7b7c7d7e7f"
+    "808182838485868788898a8b8c8d8e8f"
+    "909192939495969798999a9b9c9d9e9f"
+    "a0a1a2a3a4a5a6a7a8a9aaabacadaeaf"
+    "b0b1b2b3b4b5b6b7b8b9babbbcbdbebf"
+    "c0c1c2c3c4c5c6c7c8c9cacbcccdcecf"
+    "d0d1d2d3d4d5d6d7d8d9dadbdcdddedf"
+    "e0e1e2e3e4e5e6e7e8e9eaebecedeeef" "f0f1f2f3f4f5f6f7f8f9fafbfcfdfeff";
 
 /* log_quote -- URL-style encoding on MIME headers. */
 
@@ -147,26 +145,20 @@
 	    *buf_cursor++ = 'n';
 	} else
 #endif
-	    if (c <= 0x1F
-		|| c >= 0x7F
+	    if (c <= 0x1F || c >= 0x7F
 #if OLD_LOG_MIME
-		|| c == '"'
-		|| c == '#'
-		|| c == '%'
-		|| c == ';'
-		|| c == '<'
-		|| c == '>'
-		|| c == '?'
-		|| c == '{'
-		|| c == '}'
-		|| c == '|'
-		|| c == '\\'
-		|| c == '^'
-		|| c == '~'
-		|| c == '`'
+	    || c == '"'
+	    || c == '#'
+	    || c == '%'
+	    || c == ';'
+	    || c == '<'
+	    || c == '>'
+	    || c == '?'
+	    || c == '{'
+	    || c == '}'
+	    || c == '|' || c == '\\' || c == '^' || c == '~' || c == '`'
 #endif
-		|| c == '['
-	    || c == ']') {
+	    || c == '[' || c == ']') {
 	    *buf_cursor++ = '%';
 	    i = c * 2;
 	    *buf_cursor++ = c2x[i];
@@ -204,9 +196,7 @@
 	al->url,
 	al->cache.ident,
 	al->hier.ping.timedout ? "TIMEOUT_" : "",
-	hier_strings[al->hier.code],
-	al->hier.host,
-	al->http.content_type);
+	hier_strings[al->hier.code], al->hier.host, al->http.content_type);
 }
 
 static void
@@ -225,9 +215,7 @@
 	al->url,
 	al->http.version,
 	al->http.code,
-	al->cache.size,
-	log_tags[al->cache.code],
-	hier_strings[al->hier.code]);
+	al->cache.size, log_tags[al->cache.code], hier_strings[al->hier.code]);
 }
 
 static void
@@ -290,19 +278,11 @@
     if (Config.onoff.log_mime_hdrs) {
 	char *ereq = log_quote(al->headers.request);
 	char *erep = log_quote(al->headers.reply);
-#ifdef _SQUID_MSWIN_
-	memBufPrintf(&mb, " [%s] [%s]\r\n", ereq, erep);
-#else
 	memBufPrintf(&mb, " [%s] [%s]\n", ereq, erep);
-#endif
 	safe_free(ereq);
 	safe_free(erep);
     } else {
-#ifdef _SQUID_MSWIN_
-	memBufPrintf(&mb, "\r\n");
-#else
 	memBufPrintf(&mb, "\n");
-#endif
     }
     file_write_mbuf(LogfileFD, -1, mb, NULL, NULL);
 #if MULTICAST_MISS_STREAM
@@ -322,8 +302,7 @@
 	mcast_encode((unsigned int *) ibuf, isize,
 	    (const unsigned int *) Config.mcast_miss.encode_key);
 	comm_udp_sendto(mcast_miss_fd,
-	    &mcast_miss_to, sizeof(mcast_miss_to),
-	    ibuf, isize * sizeof(int));
+	    &mcast_miss_to, sizeof(mcast_miss_to), ibuf, isize * sizeof(int));
     }
 #endif
 }
@@ -378,9 +357,7 @@
 }
 
 void
-hierarchyNote(HierarchyLogEntry * hl,
-    hier_code code,
-    const char *cache_peer)
+hierarchyNote(HierarchyLogEntry * hl, hier_code code, const char *cache_peer)
 {
     assert(hl != NULL);
     hl->code = code;
@@ -401,16 +378,8 @@
 	mcast_miss_to.sin_family = AF_INET;
 	mcast_miss_to.sin_port = htons(Config.mcast_miss.port);
 	mcast_miss_to.sin_addr.s_addr = Config.mcast_miss.addr.s_addr;
-	mcast_miss_fd = comm_open(SOCK_DGRAM,
-#ifdef _SQUID_MSWIN_
-		IPPROTO_UDP,
-#else
-		0,
-#endif
-	    Config.Addrs.udp_incoming,
-	    Config.mcast_miss.port,
-	    COMM_NONBLOCKING,
-	    "Multicast Miss Stream");
+	mcast_miss_fd = comm_open(SOCK_DGRAM, 0, Config.Addrs.udp_incoming,
+	    Config.mcast_miss.port, COMM_NONBLOCKING, "Multicast Miss Stream");
 	if (mcast_miss_fd < 0)
 	    fatal("Cannot open Multicast Miss Stream Socket");
 	debug(46, 1) ("Multicast Miss Stream Socket opened on FD %d\n",
@@ -502,8 +471,7 @@
     fvdbDumpTable(e, forw_table);
 }
 
-static
-void
+static void
 fvdbFreeEntry(void *data)
 {
     fvdb_entry *fv = data;
